require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddMeal(MealType.STEAK, "steakBeefBurgundy", false);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", true);
SManager:AddMeal(MealType.CHICKEN, "chickenParm", false);

SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);
SManager:AddCake(CakeType.IRA, "cake2Buttercream", true);
SManager:AddCake(CakeType.CARROT, "cake7Carrot", false);

SManager:AddHoneymoon(HoneymoonType.CAMP, "HMAcadia", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMSwitzerland", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMLosAngeles", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.MEAL, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");